// Copyright 2022 wanderer <a_mirre at utb dot cz>
// SPDX-License-Identifier: GPL-3.0-or-later

package algo

import (
	"sync"
)

// Values type is just a fancy named []float64 that will allow us to define
// methods over it.
type Values []float64

// DoRandomSearch executes a search using the 'Random search' method.
func DoRandomSearch(wg *sync.WaitGroup) {
	defer wg.Done()

	printRandomSearch("starting...")
}

// DoStochasticHillClimbing performs a search using the 'Stochastic Hill
// Climbing' method.
func DoStochasticHillClimbing(wg *sync.WaitGroup) {
	defer wg.Done()

	printSHC("starting...")
}
